This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 125807 - "Alter table foo autoincrement = n" sets a default, not auto_increment
"Alter table foo autoincrement = n" sets a default, not auto_increment
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 14:10 EDT by Joshua Ginsberg
Modified: 2013-07-02 23:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:58:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Ginsberg 2004-06-11 14:10:35 EDT
After submitting Bug 125804, I modified the SQL I was trying to
import. I changed the CREATE TABLE statement so that the column that
was set to auto_increment would not. Then after the INSERT statements
I included "alter table foo auto_increment = n", substituting the
table name and the next value for foo and n. I then dumped my SQL back
out to diff it against the SQL I put in. The alter table statements
did not set the auto_increment -- they set a default value!

 CREATE TABLE users (
-  id int(11) NOT NULL,
+  id int(11) NOT NULL default '0',
...

 CREATE TABLE templates (
-  id int(11) NOT NULL,
+  id int(11) NOT NULL default '0',
...

That's just broken.

Version-Release number of selected component (if applicable):
mysql-3.23.58-9
Comment 1 Matthew Miller 2005-04-26 11:13:40 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 15:58:23 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.